org.apache.ignite.internal.processors.query.schema

## Class SchemaIndexCacheStat

- java.lang.Object
- - org.apache.ignite.internal.processors.query.schema.SchemaIndexCacheStat

    public class SchemaIndexCacheStat
    extends Object

Class for accumulation of record types and number of indexed records in index tree.

### Constructor Summary

Constructors
Constructor and Description
`SchemaIndexCacheStat()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accumulate(SchemaIndexCacheStat stat)` Adds statistics from `stat` to the current statistics.
`void` `add(int scanned)` Adds to number of scanned keys given `scanned`.
`void` `addType(QueryTypeDescriptorImpl type)` Adds type to indexed types.
`int` `scannedKeys()`
`Collection<String>` `typeNames()`
`Collection<QueryTypeDescriptorImpl>` `types()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SchemaIndexCacheStat

    public SchemaIndexCacheStat()

### Method Detail

#### accumulate

    public void accumulate(SchemaIndexCacheStat stat)

Adds statistics from `stat` to the current statistics.

Parameters:
  `stat` - Statistics.

#### addType

    public void addType(QueryTypeDescriptorImpl type)

Adds type to indexed types.

Parameters:
  `type` - Type.

#### add

    public void add(int scanned)

Adds to number of scanned keys given `scanned`.

Parameters:
  `scanned` - Number of scanned keys during partition processing. Must be positive or zero.

#### scannedKeys

    public int scannedKeys()

Returns:
  Number of scanned keys.

#### typeNames

    public Collection<String> typeNames()

Returns:
  Unmodifiable collection of processed type names.

#### types

    public Collection<QueryTypeDescriptorImpl> types()

Returns:
  Unmodifiable collection of processed types.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.11.1
Release Date | : December 20 2021